@charset "utf-8";

.nav-group {
  align-items: center;
  flex-direction: row;
  justify-content: flex-end;
  width: 100%;

  & .search-mobile {
    height: 38px;
  }
}

.search-mobile-wrapper {
  width: 100%;
}

@media screen and (min-width: 1025px) {
  #nav-listings {
    display: flex !important;
  }
}

@media screen and (max-width: 1024px) {
  body:has(.calendar--wv) .landing {
    height: 100%;
    padding: 4rem;
  }

  #primary-dropdown {
    height: 48px;
  }

  #nav-listings {
    background: white;
    border-bottom: 1px solid #bbb;
    border-top: 1px solid #bbb;
    display: none;
    justify-content: flex-end;
    left: 0;
    position: absolute;
    right: 0;
    top: 48px;
    width: 100dvw;
    z-index: 1000;

    & .category-link {
      padding: .75rem 1rem;
    }
  }

  .category-link {
    padding: .75rem 1rem;
  }

  #hamburger {
    align-items: center;
    cursor: pointer;
    display: flex;
    justify-content: center;
    width: 48px;
  }
}

@media screen and (max-width: 820px) {
  header .announcements {
    min-height: 20rem;
  }

  header .announcements .slick-slide {
    min-height: 20rem;
  }
}

@media screen and (min-width: 601px) {
  .category-link {
    height: 48px;
  }
}

@media screen and (max-width: 600px) {
  body:has(.calendar--wv) .landing {
    padding: 4rem 2rem;
  }

  #primary-dropdown {
    flex-direction: column;
    height: 100%;
  }

  #nav-listings {
    flex-direction: column;
  }

  .nav-list-item {
    flex-direction: column;
  }

  .primary-dropdown-panel {
    box-shadow: none;
    position: relative;
    width: 100%;

    & .nav-category-list {
      background: inherit;
      color: var(--color-7);
    }
  }

  #hamburger {
    align-items: center;
    height: 48px;
    justify-content: center;
    width: 44px;
  }

  .category-link {
    width: 100%;
  }
}

@media screen and (max-width: 480px) {
  body:has(.calendar--wv) .landing {
    padding: 2rem 1rem 1rem;
  }

  .nav--primary {
    column-gap: 0;
  }

  .search-opener {
    align-items: center;
    display: flex;
    height: 48px;
    justify-content: center;
    width: 44px;
  }

  .search-mobile {
    flex-direction: column;
    height: 100%;
    width: 44px;
  }

  .search-mobile-wrapper {
    background: white;
    left: 0;
    padding: .5rem;
    position: absolute;
    right: 0;
    top: 100%;
  }

  .end-point.row aside {
    width: 100% !important;

    & > * {
      max-width: unset !important;
      width: 100% !important;
    }
  }
}

@media screen and (min-width: 481px) {
  .search-mobile-wrapper {
    display: flex !important;
  }
}

@media screen and (max-width: 800px) {
  .end-point.row {
    flex-direction: column;
    padding: 0 1rem;
    row-gap: 1rem;

    & .three-quarters {
      width: 100%;
    }

    & aside {
      align-content: stretch;
      column-gap: 1rem;
      flex-direction: row;
      flex-wrap: wrap;
      width: 100%;

      & > * {
        max-height: 15rem;
        max-width: 15rem;
        min-height: unset;
        width: unset;
      }
    }
  }
}
